com.jogamp.opengl

## Class GLExtensions

- java.lang.Object
- - com.jogamp.opengl.GLExtensions

-     public class GLExtensions
      extends Object

  Class holding OpenGL extension strings, commonly used by JOGL's implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AMD_debug_output`
    `static String` | `APPLE_float_pixels`
    `static String` | `ARB_debug_output`
    `static String` | `ARB_ES2_compatibility`
    `static String` | `ARB_ES3_compatibility`
    `static String` | `ARB_framebuffer_object`
    `static String` | `ARB_geometry_shader4`
    `static String` | `ARB_gpu_shader_fp64`
    `static String` | `ARB_pbuffer`
    `static String` | `ARB_pixel_format`
    `static String` | `ARB_shader_objects`
    `static String` | `ARB_texture_non_power_of_two`
    `static String` | `ARB_texture_rectangle`
    `static String` | `EXT_abgr`
    `static String` | `EXT_framebuffer_blit`
    `static String` | `EXT_framebuffer_multisample`
    `static String` | `EXT_framebuffer_object`
    `static String` | `EXT_packed_depth_stencil`
    `static String` | `EXT_texture_compression_s3tc`
    `static String` | `EXT_texture_format_BGRA8888`
    `static String` | `EXT_texture_rectangle`
    `static String` | `IMG_texture_format_BGRA8888`
    `static String` | `NV_fbo_color_attachments`
    `static String` | `NV_texture_compression_vtc`
    `static String` | `NV_texture_rectangle`
    `static String` | `OES_depth24`
    `static String` | `OES_depth32`
    `static String` | `OES_EGL_image_external`
    `static String` | `OES_framebuffer_object`
    `static String` | `OES_packed_depth_stencil`
    `static String` | `OES_read_format`
    `static String` | `OES_rgb8_rgba8`
    `static String` | `OES_single_precision`
    `static String` | `OES_standard_derivatives` Required to be requested for OpenGL ES 2.0, not ES 3.0!
    `static String` | `OES_stencil1`
    `static String` | `OES_stencil4`
    `static String` | `OES_stencil8`
    `static String` | `SGIS_generate_mipmap`
    `static String` | `VERSION_1_2`
    `static String` | `VERSION_1_4`
    `static String` | `VERSION_1_5`
    `static String` | `VERSION_2_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLExtensions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION_1_2

          public static final String VERSION_1_2

      See Also:
        Constant Field Values

    - #### VERSION_1_4

          public static final String VERSION_1_4

      See Also:
        Constant Field Values

    - #### VERSION_1_5

          public static final String VERSION_1_5

      See Also:
        Constant Field Values

    - #### VERSION_2_0

          public static final String VERSION_2_0

      See Also:
        Constant Field Values

    - #### ARB_debug_output

          public static final String ARB_debug_output

      See Also:
        Constant Field Values

    - #### AMD_debug_output

          public static final String AMD_debug_output

      See Also:
        Constant Field Values

    - #### ARB_framebuffer_object

          public static final String ARB_framebuffer_object

      See Also:
        Constant Field Values

    - #### OES_framebuffer_object

          public static final String OES_framebuffer_object

      See Also:
        Constant Field Values

    - #### EXT_framebuffer_object

          public static final String EXT_framebuffer_object

      See Also:
        Constant Field Values

    - #### EXT_framebuffer_blit

          public static final String EXT_framebuffer_blit

      See Also:
        Constant Field Values

    - #### EXT_framebuffer_multisample

          public static final String EXT_framebuffer_multisample

      See Also:
        Constant Field Values

    - #### EXT_packed_depth_stencil

          public static final String EXT_packed_depth_stencil

      See Also:
        Constant Field Values

    - #### OES_depth24

          public static final String OES_depth24

      See Also:
        Constant Field Values

    - #### OES_depth32

          public static final String OES_depth32

      See Also:
        Constant Field Values

    - #### OES_packed_depth_stencil

          public static final String OES_packed_depth_stencil

      See Also:
        Constant Field Values

    - #### NV_fbo_color_attachments

          public static final String NV_fbo_color_attachments

      See Also:
        Constant Field Values

    - #### ARB_ES2_compatibility

          public static final String ARB_ES2_compatibility

      See Also:
        Constant Field Values

    - #### ARB_ES3_compatibility

          public static final String ARB_ES3_compatibility

      See Also:
        Constant Field Values

    - #### EXT_abgr

          public static final String EXT_abgr

      See Also:
        Constant Field Values

    - #### OES_rgb8_rgba8

          public static final String OES_rgb8_rgba8

      See Also:
        Constant Field Values

    - #### OES_stencil1

          public static final String OES_stencil1

      See Also:
        Constant Field Values

    - #### OES_stencil4

          public static final String OES_stencil4

      See Also:
        Constant Field Values

    - #### OES_stencil8

          public static final String OES_stencil8

      See Also:
        Constant Field Values

    - #### APPLE_float_pixels

          public static final String APPLE_float_pixels

      See Also:
        Constant Field Values

    - #### ARB_texture_non_power_of_two

          public static final String ARB_texture_non_power_of_two

      See Also:
        Constant Field Values

    - #### ARB_texture_rectangle

          public static final String ARB_texture_rectangle

      See Also:
        Constant Field Values

    - #### EXT_texture_rectangle

          public static final String EXT_texture_rectangle

      See Also:
        Constant Field Values

    - #### NV_texture_rectangle

          public static final String NV_texture_rectangle

      See Also:
        Constant Field Values

    - #### EXT_texture_format_BGRA8888

          public static final String EXT_texture_format_BGRA8888

      See Also:
        Constant Field Values

    - #### IMG_texture_format_BGRA8888

          public static final String IMG_texture_format_BGRA8888

      See Also:
        Constant Field Values

    - #### EXT_texture_compression_s3tc

          public static final String EXT_texture_compression_s3tc

      See Also:
        Constant Field Values

    - #### NV_texture_compression_vtc

          public static final String NV_texture_compression_vtc

      See Also:
        Constant Field Values

    - #### SGIS_generate_mipmap

          public static final String SGIS_generate_mipmap

      See Also:
        Constant Field Values

    - #### OES_read_format

          public static final String OES_read_format

      See Also:
        Constant Field Values

    - #### OES_single_precision

          public static final String OES_single_precision

      See Also:
        Constant Field Values

    - #### OES_EGL_image_external

          public static final String OES_EGL_image_external

      See Also:
        Constant Field Values

    - #### OES_standard_derivatives

          public static final String OES_standard_derivatives

      Required to be requested for OpenGL ES 2.0, not ES 3.0!
      See Also:
        Constant Field Values

    - #### ARB_gpu_shader_fp64

          public static final String ARB_gpu_shader_fp64

      See Also:
        Constant Field Values

    - #### ARB_shader_objects

          public static final String ARB_shader_objects

      See Also:
        Constant Field Values

    - #### ARB_geometry_shader4

          public static final String ARB_geometry_shader4

      See Also:
        Constant Field Values

    - #### ARB_pixel_format

          public static final String ARB_pixel_format

      See Also:
        Constant Field Values

    - #### ARB_pbuffer

          public static final String ARB_pbuffer

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GLExtensions

          public GLExtensions()

Copyright 2010 JogAmp Community.